//
//  iCharts.m
//  iCharts
//
//  Created by Walter Flores on 2/13/20.
//  Copyright © 2020 Walter Flores. All rights reserved.
//

#import "iCharts.h"
#import <Charts/Charts-Swift.h>

@implementation iCharts
#define OBJ ((LineChartView *) self.object)
+ (Class)getClass {
    return [LineChartView class];
}

- (void)DesignerCreateView:(B4IPanelWrapper *)base :(B4ILabelWrapper *)lw :(B4IMap *)props {
    self.object = [[LineChartView alloc]initWithFrame:[(UIView*)base.object frame]];
    [base AddView:OBJ :0 :0 :base.Width :base.Height];
    self.Text = lw.Text;
    //UIColor* leftKnobColor = [[B4I shared] ColorToUIColor:[(NSNumber *)[props Get:@"leftKnobColor"] intValue]];
    //UIColor* rightKnobColor = [[B4I shared] ColorToUIColor:[(NSNumber *)[props Get:@"rightKnobColor"] intValue]];
    [self innerInitialize:[B4IObjectWrapper getBI:base.object] :[B4IObjectWrapper getEventName:base.object] :true];
    //[self.object addTarget:self action:@selector(rangeSliderValueDidChange:)forControlEvents:UIControlEventValueChanged];
    //NSLog(@"minVal set to: %f", minval);
    //NSLog(@"maxVal set to: %f", maxval);

}

- (B4IViewWrapper *)BaseView {
    B4IWeakRef * ref = [B4IObjectWrapper getMap:OBJ][@"base"];
    return [B4IObjectWrapper createWrapper:[B4IPanelWrapper new] object:ref.Value];
}

- (void)_initialize:(B4I *)bi :(NSObject *)target :(NSString *)EventName {
    //NSLog(@"EventName: %@", EventName);
    [B4IObjectWrapper setBIAndEventName:self :bi :EventName];
}

- (void)noDataText:(NSString *)nodatatext{
    [OBJ setNoDataText:nodatatext];
}

- (void)base_resize:(CGFloat)width :(CGFloat)height {
    [OBJ SetLayoutAnimated:0 :1 :0 :0 :width :height];
}

@end
